namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：AVG点位  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/8/7 10:03:06 
    /// 描    述 ：  
    /// </summary>
    public interface IAgvPointService
    {
        /// <summary>
        /// 增加
        /// </summary>
        /// <returns></returns>
        Task<bool> Add(AgvPointAddInput input);
        /// <summary>
        /// 移除
        /// </summary>
        /// <returns></returns>
        Task<bool> Del(AgvPointDelInput input);
        /// <summary>
        /// 更新
        /// </summary>
        /// <returns></returns>
        Task<bool> Update(AgvPointUpdateInput input);
        /// <summary>
        /// 不分页列表
        /// </summary>
        /// <returns></returns>
        Task<List<AgvPointOutput>> List(AgvPointQueryInput input);
        /// <summary>
        /// 分页列表
        /// </summary>
        /// <returns></returns>
        Task<SqlSugarPagedList<AgvPointOutput>> PagedList(AgvPointQueryPageInput input);
        /// <summary>
        /// 查询单条
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task<AgvPointOutput> Detail(string Id);
    }
}
